Bug 996586 - Insufficient error handling in email notification
Insufficient error handling in email notification
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER3
: 6.0.0
Assigned To: Maciej Swiderski
Radovan Synek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 09:28 EDT by Radovan Synek
Modified: 2014-08-06 16:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:07:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radovan Synek 2013-08-13 09:28:36 EDT
In case of task escalation (if email notification is configured on the task) engine tries to send email, which ends up with an error message in server log:
"Cannot proceed with notifications as not all requirements are meet - mail session or userinfo is not available."

Looking at the EmailSessionProducer, email session has to be provided via JNDI or - when it hasn't been found there - engine searches for email.properties. But there is no information about what went wrong in the server log. The only message ends with "mail session or userinfo is not available.", which does not help much - is missing userinfo or mail session?
Comment 1 Maciej Swiderski 2013-08-22 13:08:09 EDT
logging has been improved to inform on the actual cause of not being able to configure deadlines. Mail session is traced so both ways (JNDI and property file) will report its status so that should give quite good indication of what failed. Pushed to 6.0.x and master

https://github.com/droolsjbpm/jbpm/commit/f1cbc29380740122b821f37774eb304ac91a2cbd
Comment 2 Radovan Synek 2013-09-18 09:10:09 EDT
Verified on BPMS-6.0.0.ER3
Comment 6 Radovan Synek 2014-03-18 12:13:43 EDT
qe_test_coverage: error logging improvement

Note You need to log in before you can comment on or make changes to this bug.